package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag935;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT935AbsCreator;

/**
 * @author gechengyang
 * @date 2023/2/18
 */
public class Tag30Creator extends AbsTagCreate {

    private MT935AbsCreator mt935AbsCreator;

    public Tag30Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt935AbsCreator= (MT935AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        String tag30Value = mt935AbsCreator.getEffectiveDateOfNewRate();
        mt935AbsCreator.set("30", tag30Value);
    }
}
